Extending Qt Creator Manual | AnalyzerRunControl

Extending Qt Creator Manual 4.3.0

# AnalyzerRunControl Class

(Debugger::AnalyzerRunControl)

Inherits: | ProjectExplorer::RunControl

- List of all members, including inherited members

## Public Functions

| AnalyzerRunControl(ProjectExplorer::RunConfiguration *runConfiguration, Core::Id runMode)
virtual void | notifyRemoteFinished()
virtual void | notifyRemoteSetupDone(Utils::Port)
virtual void | notifyRemoteSetupFailed(const QString &)

- 24 public functions inherited from ProjectExplorer::RunControl

## Signals

void | starting()

- 4 signals inherited from ProjectExplorer::RunControl

### Additional Inherited Members

- 3 protected functions inherited from ProjectExplorer::RunControl

## Member Function Documentation

### AnalyzerRunControl::AnalyzerRunControl(ProjectExplorer::RunConfiguration *runConfiguration, Core::Id runMode)

Default constructs an instance of AnalyzerRunControl.

### `[virtual]` void AnalyzerRunControl::notifyRemoteFinished()

### `[virtual]` void AnalyzerRunControl::notifyRemoteSetupDone(Utils::Port)

### `[virtual]` void AnalyzerRunControl::notifyRemoteSetupFailed(const QString &)

### `[signal]` void AnalyzerRunControl::starting()